/*
 * File:   Lab1.c
 * Author: rob
 *
 * Created on January 7, 2011, 11:39 AM
 */

#include "Lab.h"

int count = 80;
void delay(void);


int main(void)
{
    // <editor-fold defaultstate="collapsed" desc="Architecture Specific Initialization">

    /*---------------------------------------------------
     * PIC32
     *--------------------------------------------------*/
#if defined(__PIC32MX__)
    DDPCONbits.JTAGEN = 0;
#endif

    // </editor-fold>


    lcdInit();
    #ifdef EXPENSIVE_VERSION
        lcdPutStr("MPLAB X High $");
    #endif
    #ifdef CHEAP_VERSION
        lcdPutStr("MPLAB X Low $");
    #endif

    lcdPutCur(1, 0);
    lcdPutInt(count, DEC); 
    LATLED = 0x0010;
    TRISLED = 0xFF00;

    while (1)
    {
        LATLED ^= 0x18;
        delay();
    }
    return 0;
}



void delay(void)
{
    unsigned timedelay = count;
    while (timedelay)
    {
        timedelay--;
        if (SwitchPressed(&PORTD, 13))
        {
            LATLED ^= 0x01;
            count++;
            lcdClearRow(1);
            lcdPutInt(count, DEC);
            while (!(SwitchReleased(&PORTD, 13)));
            LATLED ^= 0x01;
        }
        if (SwitchPressed(&PORTD, 6))
        {
            LATLED ^= 0x80; 
            count--;
            lcdClearRow(1);
            lcdPutInt(count, DEC);
            while (!(SwitchReleased(&PORTD, 6)));
            LATLED ^= 0x80;
        }
    }

}
